=head1 NAME

Gtk2::Curve

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::DrawingArea
                      +----Gtk2::Curve

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable


=head1 METHODS

=head2 widget = Gtk2::Curve-E<gt>B<new> 

=over

=back

=head2 $curve-E<gt>B<set_curve_type> ($type)

=over

=over

=item * $type (Gtk2::CurveType) 

=back

=back

=head2 $curve-E<gt>B<set_gamma> ($gamma)

=over

=over

=item * $gamma (double) 

=back

=back

=head2 $curve-E<gt>B<set_range> ($min_x, $max_x, $min_y, $max_y)

=over

=over

=item * $min_x (double) 

=item * $max_x (double) 

=item * $min_y (double) 

=item * $max_y (double) 

=back

=back

=head2 $curve-E<gt>B<reset> 

=over

=back

=head2 list = $curve-E<gt>B<get_vector> ($veclen=32)

=over

=over

=item * $veclen (integer) 

=back

Returns a list of real numbers, the curve's vector.

=back

=head2 $curve-E<gt>B<set_vector> (...)

=over

=over

=item * ... (list) of float's, the points of the curve

=back



=back


=head1 PROPERTIES

=over

=item 'curve-type' (Gtk2::CurveType : readable / writable / private)

Is this curve linear, spline interpolated, or free-form

=item 'max-x' (Glib::Float : readable / writable / private)

Maximum possible X value

=item 'max-y' (Glib::Float : readable / writable / private)

Maximum possible value for Y

=item 'min-x' (Glib::Float : readable / writable / private)

Minimum possible value for X

=item 'min-y' (Glib::Float : readable / writable / private)

Minimum possible value for Y

=back


=head1 SIGNALS

=over

=item B<curve-type-changed> (Gtk2::Curve)

=back


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::CurveType

=over

=item * 'linear' / 'GTK_CURVE_TYPE_LINEAR'

=item * 'spline' / 'GTK_CURVE_TYPE_SPLINE'

=item * 'free' / 'GTK_CURVE_TYPE_FREE'

=back



=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::DrawingArea>

=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

